net-dialup/capi4k-utils: remove unused files
authorMichael Mair-Keimberger (asterix) <m.mairkeimberger@gmail.com>
Tue, 17 Jan 2017 17:30:46 +0000 (18:30 +0100)
committerDavid Seifert <soap@gentoo.org>
Wed, 18 Jan 2017 09:19:20 +0000 (10:19 +0100)
Closes: https://github.com/gentoo/gentoo/pull/3516

net-dialup/capi4k-utils/files/capi-isdn [deleted file]
net-dialup/capi4k-utils/files/capi.blacklist [deleted file]
net-dialup/capi4k-utils/files/capi.conf [deleted file]
net-dialup/capi4k-utils/files/capi.confd [deleted file]
net-dialup/capi4k-utils/files/capi.hotplug [deleted file]
net-dialup/capi4k-utils/files/capi.initd [deleted file]
net-dialup/capi4k-utils/files/capi.pcmcia [deleted file]
net-dialup/capi4k-utils/files/capi.pcmcia.conf [deleted file]
net-dialup/capi4k-utils/files/capi.usermap [deleted file]
net-dialup/capi4k-utils/files/config [deleted file]
net-dialup/capi4k-utils/files/rcapid.xinetd [deleted file]

diff --git a/net-dialup/capi4k-utils/files/capi-isdn b/net-dialup/capi4k-utils/files/capi-isdn
deleted file mode 100644 (file)
index 97f298b..0000000
+++ /dev/null
@@ -1,18 +0,0 @@
-#
-# ISDN connection using CAPI interface
-#
-plugin capiplugin.so
-sync
-protocol hdlc
-/dev/null
-
-# Plugin passwordfd enables us to pipe the password to pppd, thus we
-# don't have to put it into pap-secrets and chap-secrets.
-#
-plugin passwordfd.so
-
-noauth
-
-# this is recommended
-noccp
-noipx
diff --git a/net-dialup/capi4k-utils/files/capi.blacklist b/net-dialup/capi4k-utils/files/capi.blacklist
deleted file mode 100644 (file)
index 88e52a7..0000000
+++ /dev/null
@@ -1,30 +0,0 @@
-# /etc/hotplug/blacklist.d/capi
-
-# CAPI USB is handled via /etc/hotplug/usb/capi.usermap
-fcusb
-fcusb2
-fxusb
-fxusb_CZ
-fcdslusb
-bfusb
-
-# CAPI modules are loaded via /etc/init.d/capi
-b1isa
-b1pci
-b1pcmcia
-c4
-t1isa
-t1pci
-fcpci
-fcclassic
-fcdsl
-fcdsl2
-fcdslsl
-
-# mISDN modules (experimental)
-avmfritz
-hfcpci
-hfcsusb
-hfcmulti
-sedlfax
-w6692pci
diff --git a/net-dialup/capi4k-utils/files/capi.conf b/net-dialup/capi4k-utils/files/capi.conf
deleted file mode 100644 (file)
index c2e3864..0000000
+++ /dev/null
@@ -1,86 +0,0 @@
-# /etc/capi.conf - CAPI configuration file
-
-# card         file            proto   io      irq     mem     cardnr  options
-#
-
-##############################
-# ISA/PCI devices            #
-##############################
-
-# These are examples! You have do setup your card correctly. 'P2P' means
-# 'point-to-point' (leased line) and has nothing to do with PPP. If you
-# don't have a leased line, then you must not set it.
-
-### AVM B1 (you also have to install the firmware)
-#b1isa         b1.t4           DSS1    0x150   7       -       -       P2P
-#b1pci         b1.t4           DSS1    -       -       -       -
-
-### AVM C2 (you also have to install the firmware)
-#c2            c2.bin          DSS1    -       -       -       -
-#c2            -               DSS1    -       -       -       -
-
-### AVM C4 (you also have to install the firmware)
-#c4            c4.bin          DSS1    -       -       -       -
-#c4            -               DSS1    -       -       -       -
-#c4            -               DSS1    -       -       -       -       P2P
-#c4            -               DSS1    -       -       -       -       P2P
-
-### AVM t1 (you also have to install the firmware)
-#t1isa         t1.t4           DSS1    0x340   9       -       0
-#t1pci         t1.t4           DSS1    -       -       -       -
-
-### AVM FritzCard ISA (A1)
-#fcclassic     -               -       0x200   7       -       -
-
-### AVM FritzCard PCI
-#fcpci         -               -       -       -       -       -
-
-### AVM DSL controllers
-#fcdsl         fdslbase.bin    -       -       -       -       -
-#fcdsl2                fds2base.bin    -       -       -       -       -
-#fcdslsl       fdssbase.bin    -       -       -       -       -
-
-
-##############################
-# USB devices                #
-##############################
-
-# If you're using hotplug, you shouldn't configure your devices in this config.
-# USB devices are detected automatically. If you don't want to use hotplug, then
-# set CAPI_HOTPLUG_USB="no" in /etc/conf.d/capi and uncomment your card(s) below.
-
-### AVM FRITZCARD!USB
-#fcusb         -               -       -       -       -       -
-
-### AVM FRITZX!USB
-#fxusb         -               -       -       -       -       -
-
-### AVM FRITZX!USB OEM
-#fxusb_CZ      -               -       -       -       -       -
-
-### AVM FRITZCARD!USB v2.0 
-#fcusb2                fus2base.frm    -       -       -       -       -
-
-### AVM FRITZCARD!USB v2.1 
-#fcusb2                fus3base.frm    -       -       -       -       -
-
-### AVM BlueFRITZ!USB
-#bfusb         -               -       -       -       -       -
-
-### AVM FRITZDSL!USB (DSL/ISDN)
-#fcdslusb      fdsubase.frm    -       -       -       -       -
-
-### AVM FRITZDSL!USB SL (DSL only)
-#fcdslslusb    fdlubase.frm    -       -       -       -       -
-
-
-##############################
-# mISDN (experimental)       #
-##############################
-
-#avmfritz      -               -       -       -       -       -
-#hfcpci                -               -       -       -       -       -
-#hfcsusb       -               -       -       -       -       -
-#hfcmulti      -               -       -       -       -       -
-#sedlfax       -               -       -       -       -       -
-#w6692pci      -               -       -       -       -       -
diff --git a/net-dialup/capi4k-utils/files/capi.confd b/net-dialup/capi4k-utils/files/capi.confd
deleted file mode 100644 (file)
index d7e7af5..0000000
+++ /dev/null
@@ -1,36 +0,0 @@
-# configuraton file for /etc/init.d/capi
-
-###
-### Common settings
-###
-
-# should 'capidrv' be loaded?
-CAPI_LOAD_CAPIDRV="no"
-
-# deactivate cards on stop (USB-Cards have to be re-plugged then)?
-CAPI_UNLOAD_CARDS="yes"
-
-###
-### USB Hotplug
-###
-
-# do you want to use USB hotplug?
-# if disabled, you have to configure your device in /etc/capi.conf
-CAPI_HOTPLUG_USB="yes"
-
-# should via hotplug added cards generate a beep?
-CAPI_HOTPLUG_BEEP="yes"
-
-# should capi-usb handle hotplug-events for mISDN cards?
-CAPI_HOTPLUG_MISDN="yes"
-
-###
-### Bluetooth CIP
-###
-
-# blank-seperated list of CIP devices to connect. You need
-# started Bluez stack and already peered devices to make
-# this work. Bluetooth devices will be connected after
-# ISA/PCI/(USB) devices. Leave empty to disable feature.
-#CAPI_CIP_DEVICES="00:11:22:33:44:55 DE:AD:BE:EF:47:11"
-
diff --git a/net-dialup/capi4k-utils/files/capi.hotplug b/net-dialup/capi4k-utils/files/capi.hotplug
deleted file mode 100644 (file)
index 593db81..0000000
+++ /dev/null
@@ -1,189 +0,0 @@
-#!/bin/bash
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-. /etc/conf.d/capi
-
-[ "${CAPI_HOTPLUG_USB}" = "yes" ] || exit 0
-
-# possible firmware locations (list and order taken from 'capiinit')
-FWDIRS=(/lib/firmware/isdn /lib/firmware /usr/share/isdn /usr/lib/isdn /lib/isdn)
-
-# Syslog output
-syslog() {  # <msg>
-       /usr/bin/logger -t "capi-usb" "$@"
-}
-
-# OK beep
-beep_ok() {
-       [ "${CAPI_HOTPLUG_BEEP}" = "yes" ] && \
-       echo -en "\033[10;1200]\a\033[10;262]" > /dev/console
-}
-
-# Error beep
-beep_error() {
-       [ "${CAPI_HOTPLUG_BEEP}" = "yes" ] && \
-       echo -en "\033[10;300]\a\033[10;262]" > /dev/console
-}
-
-# Driver lookup
-cardinfo() {  # <driver>
-       # /proc/capi/controller: <controller> <drivername> <state> <cardname> <controllerinfo>
-       /bin/sed -n "s:^\([1-9][0-9]*\) \+${1} \+\([^ ]\+\) \+\([^ ]\+\) \+\([^ ]\+\):\1 \3 \2 \4:p" \
-               /proc/capi/controller 2>/dev/null
-}
-
-# Firmware search
-findfw() {  # <fw_name>
-       local DIR
-       for DIR in ${FWDIRS[*]}; do
-               if [ -f "${DIR}/${1}" ]; then
-                       echo "${DIR}/${1}"; return 0
-               fi
-       done
-       return 1
-}
-
-# AVM firmware loader
-avmusb() {  # <driver> <usbdev> <firmware>
-       local CARD NAME STATUS TYPE VER DEV FIRMWARE
-       while read CARD NAME STATUS TYPE VER DEV; do  # AVM cardinfo
-               if [ "${STATUS}" = "detected" -a ${DEV} -eq ${2} ]; then
-                       syslog "loading firmware '${3##*/}' onto controller ${CARD} (${NAME})"
-                       /usr/sbin/avmcapictrl load "${3}" "${CARD}" || return 1
-                       break
-               fi
-       done < <(cardinfo "${1}")
-       return 0
-}
-
-# Split and normalize product code and device
-IFS="/"
-_D=(${DEVICE})
-_P=(${PRODUCT})
-_N=($(printf "%04x/%04x/%04x" 0x${_P[0]} 0x${_P[1]} 0x${_P[2]}))
-unset IFS
-
-# Setup variables
-VENDID="${_N[0]}/${_N[1]}"
-USBBUS="${_D[4]}"
-USBDEV="${_D[5]}"
-
-# Make sure we're not running multiple instances at once.
-# Try twice to lock, otherwise give up.
-LOCK="/var/run/capi-usb-${USBBUS}-${USBDEV}"
-for ((i = 0; i < 2; i = i + 1)); do
-       /bin/ln 2>/dev/null -sn $$ ${LOCK} && break
-       LOCKPID=$(/bin/readlink 2>/dev/null ${LOCK}) || continue
-       [[ $(</proc/${LOCKPID}/cmdline) == $(</proc/$$/cmdline) ]] 2>/dev/null && exit 0
-       /bin/rm -f ${LOCK}
-done
-
-# Check to make sure locking was successful
-if [ ! -L "${LOCK}" ]; then
-       syslog "could not create lock ${LOCK}"
-       beep_error
-       exit 1
-fi
-
-# Set a trap to remove the lockfile when we're finished
-trap "/bin/rm -f ${LOCK}" 0 1 2 3 15
-
-# Select driver and firmware
-LOADER=""
-DRIVER=""
-FIRMWARE=""
-case "${VENDID}" in
-       "057c/0c00") # FRITZCARD!USB
-               DRIVER="fcusb";;
-       "057c/1000") # FRITZCARD!USB v2.0
-               DRIVER="fcusb2"; LOADER="avmusb"; FIRMWARE="fus2base.frm";;
-       "057c/1900") # FRITZCARD!USB v2.1
-               DRIVER="fcusb2"; LOADER="avmusb"; FIRMWARE="fus3base.frm";;
-       "057c/2000") # FRITZX!USB
-               DRIVER="fxusb";;
-       "057c/2200") # BlueFRITZ!USB
-               DRIVER="bfusb"; LOADER="avmusb"; FIRMWARE="bfubase.frm";;
-       "057c/2300") # FRITZDSL!USB
-               DRIVER="fcdslusb"; LOADER="avmusb"; FIRMWARE="fdsubase.frm";;
-       "057c/2800") # FRITZX!USB OEM
-               DRIVER="fxusb_CZ";;
-       "057c/3500") # FRITZDSL!USB SL
-               DRIVER="fcdslslusb"; LOADER="avmusb"; FIRMWARE="fdlubase.frm";;
-       "0959/2bd0") # ISDN USB TA (Cologne Chip HFC-S USB based)
-               DRIVER="hfcsusb";;
-       "0675/1688") # DrayTek miniVigor 128 USB ISDN TA
-               DRIVER="hfcsusb";;
-       "07b0/0007") # Billion tiny USB ISDN TA 128
-               DRIVER="hfcsusb";;
-       "0742/2008") # Stollmann USB TA
-               DRIVER="hfcsusb";;
-       "0742/2009") # Aceex USB ISDN TA
-               DRIVER="hfcsusb";;
-       "0742/200a") # OEM USB ISDN TA
-               DRIVER="hfcsusb";;
-       "08e3/0301") # Olitec USB RNIS
-               DRIVER="hfcsusb";;
-       "07fa/0846") # Bewan Modem RNIS USB
-               DRIVER="hfcsusb";;
-       "07fa/0847") # Djinn Numeris USB
-               DRIVER="hfcsusb";;
-       "07b0/0006") # Twister ISDN TA
-               DRIVER="hfcsusb";;
-       *) # unknown card
-               syslog "unknown USB product: ${VENDID}"
-               exit 1;;
-esac
-
-if [ "${DRIVER}" = "hfcsusb" -a "${CAPI_HOTPLUG_MISDN}" != "yes" ]; then
-       syslog "ignore mISDN card: ${DRIVER} (${VENDID})"
-       exit 0
-fi
-
-case "${ACTION}" in
-       add)
-               # loading capi
-               if ! ( [ -f /proc/capi/capi20 ] || /sbin/modprobe -sq capi ); then
-                       syslog "could not load CAPI!"
-                       beep_error; exit 1
-               fi
-       
-               # loading driver
-               if ! /sbin/modprobe -sq ${DRIVER}; then
-                       syslog "could not load driver ${DRIVER}!"
-                       beep_error; exit 1
-               fi
-       
-               # loading firmware      
-               if [ -n "${LOADER}" -a -n "${FIRMWARE}" ]; then
-                       CNT=0  # wait for udev (max 10s)
-                       while [ ! -c /dev/capi20 -a ${CNT} -lt 40 ]; do
-                               sleep 0.25; : $((CNT++))
-                       done
-                       FW=$(findfw "${FIRMWARE}")
-                       if [ -n "${FW}" ]; then
-                               if ! ${LOADER} ${DRIVER} ${USBDEV} ${FW}; then
-                                       syslog "could not load firmware!"
-                                       beep_error; exit 1
-                               fi
-                       else
-                               syslog "firmware '${FIRMWARE}' not found in ${FWDIRS[0]}"
-                               beep_error; exit 1
-                       fi
-               fi
-
-               # loading capidrv (should be loaded *after* card driver)
-               if ! ( [ -f /proc/capi/capidrv -o "${CAPI_LOAD_CAPIDRV}" != "yes" ] \
-                       || /sbin/modprobe -sq capidrv ); then
-                       syslog "could not load CAPIDRV!"
-               fi
-               
-               beep_ok
-               ;;
-
-       remove)
-               /sbin/modprobe -sqr ${DRIVER}
-               ;;
-esac
-exit 0
diff --git a/net-dialup/capi4k-utils/files/capi.initd b/net-dialup/capi4k-utils/files/capi.initd
deleted file mode 100644 (file)
index 000d25e..0000000
+++ /dev/null
@@ -1,180 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-opts="info showconfig"
-
-depend() {
-       after isapnp pcmcia bluetooth
-}
-
-# possible firmware locations (list and order taken from 'capiinit')
-FWDIRS="/lib/firmware/isdn /lib/firmware /usr/share/isdn /usr/lib/isdn /lib/isdn"
-
-# Firmware search
-findfw() {  # <fw_name>
-       local DIR
-       for DIR in ${FWDIRS}; do
-               if [ -f "${DIR}/${1}" ]; then
-                       echo "${DIR}/${1}"; return 0
-               fi
-       done
-       return 1
-}
-
-# looking for 'detected' cards (currently only 'sedlfax')
-detected() {  # <driver>
-       # /proc/capi/controller: <controller> <drivername> <state> <cardname> <controllerinfo>
-       sed -n "s:^\([1-9][0-9]*\) \+${1} \+detected \+.*:\1:p" \
-               /proc/capi/controller 2>/dev/null
-}
-
-# detecting loaded mISDN modules
-misdn_modules() {
-       sed -n "s:^mISDN_core \+[0-9]\+ \+[0-9]\+ \+\([^ ]\+\).*\$:\1:p" \
-               /proc/modules 2>/dev/null | tr "," " "
-}
-
-# detecting loaded CAPI drivers
-capi_drivers() {
-       local DRV MISDN=0
-       for DRV in $(sed -n "s:^[0-9]\+ \+\([^ ]\+\).*\$:\1:p" /proc/capi/controller 2>/dev/null); do
-               case "${DRV}" in
-                       mISDN)  MISDN=1;;
-                       ?*)     echo "${DRV}";;
-               esac
-       done
-       # dirty hack to find loaded mISDN modules
-       if [ ${MISDN} -gt 0 ]; then
-               for DRV in $(misdn_modules); do
-                       case "${DRV}" in
-                               mISDN_*|l3udss1|faxl3) continue;;
-                               ?*) echo "${DRV}";;
-                       esac
-               done
-       fi
-}
-
-# detecting bluetooth CIP connections
-bluez_cip() {
-       [ -x /usr/bin/ciptool ] && \
-       sed -n "s:[0-9]\+ \+cmtp \+[^ ]\+ \+\([0-9A-F:]\+\) \+.*\$:\1:p" \
-               /proc/capi/controller 2>/dev/null
-}
-
-
-
-start() {
-       if [ ! -e /etc/capi.conf ] ; then
-               eerror "You're missing /etc/capi.conf (comes with a capi-driver)."
-               eerror "Emerge net-dialup/fritzcapi if you're having an AVM Fritz!Card"
-               return 1
-       fi
-
-       ebegin "Loading CAPI"
-       [ -f /proc/capi/capi20 ] || /sbin/modprobe -s capi
-       eend $? || return 1
-
-       local CNT=0  # wait for udev (max 10s)
-       while [ ! -c /dev/capi20 -a ${CNT} -lt 40 ]; do
-               sleep 0.25; : $((CNT++))
-       done
-
-       ebegin "Starting CAPI"
-       /usr/sbin/capiinit activate 2>/dev/null
-       if eend $?; then
-               local CIP MSG INFO FW CARD MISDN
-
-               # HACK: loading ISAR.BIN onto 'sedlfax' cards
-               # shouldn't be necessary, but mISDN is crappy
-               MISDN=$(detected "mISDN")
-               if [ -n "${MISDN}" ]; then
-                       FW=$(findfw "ISAR.BIN")
-                       if [ -n "${FW}" ]; then
-                               for CARD in ${MISDN}; do
-                                       ebegin "Loading firmware '${FW##*/}' onto controller ${CARD}"
-                                       /usr/sbin/avmcapictrl load "${FW}" "${CARD}" 2>&1 >/dev/null
-                                       eend $?
-                               done
-                       else
-                               eerror "Firmware 'ISAR.BIN' not found in ${FWDIRS%% *}"
-                       fi
-               fi
-
-               # connect to CIP devices
-               if [ -n "${CAPI_CIP_DEVICES}" -a -x /usr/bin/ciptool ]; then
-                       for CIP in ${CAPI_CIP_DEVICES}; do
-                               ebegin "CIP connect to ${CIP}"
-                               INFO=$(/usr/bin/ciptool connect "${CIP}" 2>&1)
-                               if ! eend $?; then
-                                       [ -n "${INFO}" ] && \
-                                       echo "${INFO}" | while read line MSG; do eerror "  ${MSG}"; done
-                               fi
-                       done
-                       sleep 0.3  # give subsystems time to initialize
-               fi
-
-               # load 'capidrv'
-               [ -f /proc/capi/capidrv -o "${CAPI_LOAD_CAPIDRV}" != "yes" ] || /sbin/modprobe -s capidrv
-
-               # show controllers
-               INFO=$(cat /proc/capi/controller)
-               if [ -n "${INFO}" ]; then
-                       einfo "Available CAPI controllers:"
-                       echo "${INFO}" | while read MSG; do einfo "  ${MSG}"; done
-               fi
-       fi
-       return 0  # never fail
-}
-
-stop() {
-       local DRV CIP RET FCNT=0 DRIVERS=$(capi_drivers | sort -u)
-
-       # if some CAPI applications are still running, kill 'em
-       if fuser -s /dev/capi20 2>/dev/null; then
-               ebegin "Stopping CAPI applications"
-               fuser -ks /dev/capi20; RET=$?
-               while [ ${RET} -eq 0 -a ${FCNT} -lt 10 ]; do
-                       : $((FCNT++)); sleep 0.5; fuser -s /dev/capi20; RET=$?
-               done
-               [ ${RET} -ne 0 ]
-               eend $?
-       fi
-
-       # release bluetooth CIP connections
-       for CIP in $(bluez_cip); do
-               ebegin "Release CIP connection to ${CIP}"
-               /usr/bin/ciptool release "${CIP}"
-               eend
-       done
-
-       ebegin "Stopping CAPI"
-       [ "${CAPI_LOAD_CAPIDRV}" = "yes" ] && /sbin/modprobe -sqr capidrv
-       [ "${CAPI_UNLOAD_CARDS}" = "yes" ] && /usr/sbin/capiinit stop &>/dev/null
-       for DRV in ${DRIVERS}; do
-               /sbin/modprobe -sqr "${DRV}"
-       done
-       /sbin/modprobe -sqr capi
-       eend 0  # ignore errors
-}
-
-info() {
-       if [ -f /proc/capi/controller ]; then
-               local MSG
-               while read MSG; do einfo "${MSG}"; done < /proc/capi/controller
-       else
-               eerror "ERROR: CAPI not loaded"
-               return 1
-       fi
-}
-
-showconfig() {
-       local MSG INFO
-       if INFO=$(/usr/sbin/capiinit show 2>&1); then
-               echo "${INFO}" | while read MSG; do einfo "${MSG}"; done
-               return 0
-       fi
-       echo "${INFO}" | while read MSG; do eerror "${MSG}"; done
-       return 1
-}
diff --git a/net-dialup/capi4k-utils/files/capi.pcmcia b/net-dialup/capi4k-utils/files/capi.pcmcia
deleted file mode 100644 (file)
index 77a2a76..0000000
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/bin/bash
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-. /etc/pcmcia/shared
-. /etc/conf.d/capi
-
-# Syslog output
-syslog() {  # <msg>
-       /usr/bin/logger -t "capi-pcmcia" "$@"
-}
-
-case "${ACTION}" in
-       start)
-               # loading capi
-               if ! ( [ -f /proc/capi/capi20 ] || /sbin/modprobe -sq capi ); then
-                       syslog "could not load CAPI!"
-                       exit 1
-               fi
-
-               # loading capidrv (should be loaded *after* card driver)
-               if ! ( [ -f /proc/capi/capidrv -o "${CAPI_LOAD_CAPIDRV}" != "yes" ] \
-                       || /sbin/modprobe -sq capidrv ); then
-                       syslog "could not load CAPIDRV!"
-               fi
-               ;;
-       stop)
-               ;;
-esac
-exit 0
diff --git a/net-dialup/capi4k-utils/files/capi.pcmcia.conf b/net-dialup/capi4k-utils/files/capi.pcmcia.conf
deleted file mode 100644 (file)
index 8a6072b..0000000
+++ /dev/null
@@ -1,36 +0,0 @@
-###############################################################################
-# Device driver definitions for AVM cards (CAPI)                              #
-# Please read "man 5 pcmcia" for detailed informations.                       #
-###############################################################################
-
-# needs net-dialup/fritzcapi
-device "fcpcmcia_cs"
-  class "capi" module "fcpcmcia_cs"
-
-# active controller, driver included in kernel
-device "avm_cs"
-  class "capi" module "avm_cs"
-# class "capi" module "b1pcmcia" module "avm_cs"
-# class "capi" module "avm_cs" opts "irq_list=15,12,11,10,9,7"
-
-
-###############################################################################
-# Card definitions                                                            #
-###############################################################################
-
-card "AVM ISDN-Controller A1"
-  version "AVM", "ISDN A"
-  bind "fcpcmcia_cs"
-
-card "AVM ISDN-Controller B1"
-  version "AVM", "ISDN-Controller B1"
-  bind "avm_cs"
-
-card "AVM Mobile ISDN-Controller M1"
-  version "AVM", "Mobile ISDN-Controller M1"
-  bind "avm_cs"
-
-card "AVM Mobile ISDN-Controller M2"
-  version "AVM", "Mobile ISDN-Controller M2"
-  bind "avm_cs"
-
diff --git a/net-dialup/capi4k-utils/files/capi.usermap b/net-dialup/capi4k-utils/files/capi.usermap
deleted file mode 100644 (file)
index 32adec7..0000000
+++ /dev/null
@@ -1,23 +0,0 @@
-# /etc/hotplug/usb/capi.usermap
-
-# AVM USB cards (ISDN/DSL)
-capi    0x0003   0x057c 0x0c00   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x057c 0x1000   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x057c 0x1900   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x057c 0x2000   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x057c 0x2200   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x057c 0x2300   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x057c 0x2800   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x057c 0x3500   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-
-# mISDN HFC-S USB
-capi    0x0003   0x0959 0x2bd0   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x0675 0x1688   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x07b0 0x0007   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x0742 0x2008   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x0742 0x2009   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x0742 0x200a   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x08e3 0x0301   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x07fa 0x0846   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x07fa 0x0847   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
-capi    0x0003   0x07b0 0x0006   0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
diff --git a/net-dialup/capi4k-utils/files/config b/net-dialup/capi4k-utils/files/config
deleted file mode 100644 (file)
index 970991b..0000000
+++ /dev/null
@@ -1,8 +0,0 @@
-CONFIG_KERNELDIR='/usr/src/linux'
-CONFIG_BINDIR='/usr/bin'
-CONFIG_SBINDIR='/usr/sbin'
-CONFIG_MANDIR='/usr/share/man'
-CONFIG_AVMCAPICTRL=y
-CONFIG_CAPIFAX=y
-CONFIG_RCAPID=y
-CONFIG_PPPDCAPIPLUGIN=y
diff --git a/net-dialup/capi4k-utils/files/rcapid.xinetd b/net-dialup/capi4k-utils/files/rcapid.xinetd
deleted file mode 100644 (file)
index 0120833..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-service rcapid
-{
-       port                    = 2662 
-       socket_type             = stream
-       wait                    = no
-       user                    = root
-       type                    = unlisted
-       server                  = /usr/sbin/rcapid 
-       server_args             = -l 5 
-       log_on_success          += USERID
-       log_on_failure          += USERID
-       disable                  = yes
-}